## com.crystaldecisions.sdk.occa.report.lib
Class PropertyBagHelper

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.lib.PropertyBagHelper

public final class PropertyBagHelper
extends java.lang.Object

This class defines constants that can be used as keys to retrieve or specify properties contained by certain property bags.

Field Summary
`static java.lang.String` | `CONNINFO_CONNECTION_STRING` A `String` that supplies extra parameters to the SQL server if it needs them.
`static java.lang.String` | `CONNINFO_CRQE_DATABASENAME` The name of the database that is used to form the connection string.
`static java.lang.String` | `CONNINFO_CRQE_DATABASETYPE` A user-friendly description of the database being accessed.
`static java.lang.String` | `CONNINFO_CRQE_LOGONPROPERTIES` The logon properties that form the connection string.
`static java.lang.String` | `CONNINFO_CRQE_SERVERDESCRIPTION` A user-friendly description of the server.
`static java.lang.String` | `CONNINFO_CRQE_SQLDB` `true` if the data source supports SQL.
`static java.lang.String` | `CONNINFO_DATABASE_DLL` The DLL that is being used to communicate with the database.
`static java.lang.String` | `CONNINFO_DATABASE_NAME` The name of the database being accessed.
`static java.lang.String` | `CONNINFO_SERVER_NAME` The name of the server.
`static java.lang.String` | `CONNINFO_SERVER_TYPE` The type of the server.
`static java.lang.String` | `CONNINFO_URI` The URI (Uniform Resource Identifier) or path of the database file.
`static java.lang.String` | `PROMPTPROPERTY_ALL` Return all database prompts.
`static java.lang.String` | `PROMPTPROPERTY_INCLUDEMETADATASUBCONNECTIONS` Include the metadata on demand.
`static java.lang.String` | `PROMPTPROPERTY_INCLUDEOLAPCONNECTIONS` Include the OLAP data on demand.
`static java.lang.String` | `PROMPTPROPERTY_INCLUDEONDEMANDSUBREPORT` Include the subreport on demand.
`static java.lang.String` | `PROMPTPROPERTY_REPORTNAME` Prompt for report name.

Constructor Summary
`PropertyBagHelper()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNINFO_DATABASE_DLL

    public static final java.lang.String CONNINFO_DATABASE_DLL

  The DLL that is being used to communicate with the database. Applies to all connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_SERVER_TYPE

    public static final java.lang.String CONNINFO_SERVER_TYPE

  The type of the server. Applies to SQL connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_SERVER_NAME

    public static final java.lang.String CONNINFO_SERVER_NAME

  The name of the server. Applies to SQL connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_DATABASE_NAME

    public static final java.lang.String CONNINFO_DATABASE_NAME

  The name of the database being accessed. Applies to SQL connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CONNECTION_STRING

    public static final java.lang.String CONNINFO_CONNECTION_STRING

  A `String` that supplies extra parameters to the SQL server if it needs them. Applies to SQL connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_URI

    public static final java.lang.String CONNINFO_URI

  The URI (Uniform Resource Identifier) or path of the database file. Applies to MetaData, Query, and File connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CRQE_DATABASETYPE

    public static final java.lang.String CONNINFO_CRQE_DATABASETYPE

  A user-friendly description of the database being accessed. Applies to Crystal Report Query Engine (CRQE) connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CRQE_SERVERDESCRIPTION

    public static final java.lang.String CONNINFO_CRQE_SERVERDESCRIPTION

  A user-friendly description of the server. Applies to CRQE connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CRQE_SQLDB

    public static final java.lang.String CONNINFO_CRQE_SQLDB

  `true` if the data source supports SQL. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CRQE_LOGONPROPERTIES

    public static final java.lang.String CONNINFO_CRQE_LOGONPROPERTIES

  The logon properties that form the connection string. Applies to CRQE connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### CONNINFO_CRQE_DATABASENAME

    public static final java.lang.String CONNINFO_CRQE_DATABASENAME

  The name of the database that is used to form the connection string. Applies to CRQE connections. Used by `ConnectionInfo.getAttributes()`.

  See Also:
    Constant Field Values

### PROMPTPROPERTY_INCLUDEONDEMANDSUBREPORT

    public static final java.lang.String PROMPTPROPERTY_INCLUDEONDEMANDSUBREPORT

  Include the subreport on demand. This property is only used by the Report Application Server. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

  See Also:
    Constant Field Values

### PROMPTPROPERTY_REPORTNAME

    public static final java.lang.String PROMPTPROPERTY_REPORTNAME

  Prompt for report name. This property is only used by the Report Application Server. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

  See Also:
    Constant Field Values

### PROMPTPROPERTY_ALL

    public static final java.lang.String PROMPTPROPERTY_ALL

  Return all database prompts. This property is only used by the Report Application Server. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

  See Also:
    Constant Field Values

### PROMPTPROPERTY_INCLUDEMETADATASUBCONNECTIONS

    public static final java.lang.String PROMPTPROPERTY_INCLUDEMETADATASUBCONNECTIONS

  Include the metadata on demand. This property is only used by the Report Application Server. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

  See Also:
    Constant Field Values

### PROMPTPROPERTY_INCLUDEOLAPCONNECTIONS

    public static final java.lang.String PROMPTPROPERTY_INCLUDEOLAPCONNECTIONS

  Include the OLAP data on demand. This property is only used by the Report Application Server. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyBagHelper

    public PropertyBagHelper()